CVE-2006-1473
CVSS5.0
发布时间 :2006-08-02 12:04:00
修订时间 :2011-03-07 21:33:10
NMCO    

[原文]Integer overflow in AFP Server for Apple Mac OS X 10.3.9 and 10.4.7 allows remote attackers to cause a denial of service (crash) and execute arbitrary code via unknown vectors.


[CNNVD]Apple Mac OS AFP Server中的整数溢出漏洞(CNNVD-200608-029)

        Apple Mac OS X是苹果家族机器所使用的操作系统。
        最新的Mac OS X更新修复了多个漏洞,具体如下:
        已认证用户可以触发AFP Server中的整数溢出漏洞,导致拒绝服务或以系统权限执行任意代码。AFP Server在Mac OS X中不是默认启用的。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.3.9Apple Mac OS X 10.3.9
cpe:/o:apple:mac_os_x:10.4.7Apple Mac OS X 10.4.7
cpe:/o:apple:mac_os_x_server:10.4.7Apple Mac OS X Server 10.4.7
cpe:/o:apple:mac_os_x_server:10.3.9Apple Mac OS X Server 10.3.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1473
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1473
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200608-029
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/575372
(UNKNOWN)  CERT-VN  VU#575372
http://www.us-cert.gov/cas/techalerts/TA06-214A.html
(UNKNOWN)  CERT  TA06-214A
http://xforce.iss.net/xforce/xfdb/28135
(UNKNOWN)  XF  macosx-afp-overflow(28135)
http://www.vupen.com/english/advisories/2006/3101
(UNKNOWN)  VUPEN  ADV-2006-3101
http://www.securityfocus.com/bid/19289
(UNKNOWN)  BID  19289
http://www.osvdb.org/27731
(UNKNOWN)  OSVDB  27731
http://securitytracker.com/id?1016620
(UNKNOWN)  SECTRACK  1016620
http://secunia.com/advisories/21253
(UNKNOWN)  SECUNIA  21253
http://lists.apple.com/archives/security-announce/2006//Aug/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2006-08-01

- 漏洞信息

Apple Mac OS AFP Server中的整数溢出漏洞
中危 缓冲区溢出
2006-08-02 00:00:00 2006-08-26 00:00:00
远程  
        Apple Mac OS X是苹果家族机器所使用的操作系统。
        最新的Mac OS X更新修复了多个漏洞,具体如下:
        已认证用户可以触发AFP Server中的整数溢出漏洞,导致拒绝服务或以系统权限执行任意代码。AFP Server在Mac OS X中不是默认启用的。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apple Mac OS X Server 10.3.9
        Apple SecUpdSrvr2006-004Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11231&cat= 1&platform=osx&method=sa/SecUpdSrvr2006-004Pan.dmg
        Apple Mac OS X 10.3.9
        Apple SecUpd2006-004Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11230&cat= 1&platform=osx&method=sa/SecUpd2006-004Pan.dmg
        Apple Mac OS X 10.4.7
        Apple SecUpd2006-004Intel.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty2.pl/product=11232&cat= 1&platform=osx&method=sa/SecUpd2006-004Intel.dmg
        

- 漏洞信息

27731
Apple Mac OS X AFP Server Unspecified Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

An unspecified remote overflow exists in Mac OS X. The AFP server fails to validate requests from an authenticated user resulting in an integer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-07-14 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch (Security Update 2006-004) to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站